## org.eclipse.datatools.modelbase.sql.query.impl
Class SQLQueryObjectImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl

All Implemented Interfaces:
  SQLQueryObject, SQLObject

Direct Known Subclasses:
  ColumnNameImpl, CursorReferenceImpl, GroupingSetsElementImpl, GroupingSpecificationImpl, OrderBySpecificationImpl, QueryExpressionRootImpl, QueryResultSpecificationImpl, QuerySearchConditionImpl, QueryStatementImpl, QueryValueExpressionImpl, SuperGroupElementImpl, TableCorrelationImpl, TableReferenceImpl, UpdateAssignmentExpressionImpl, UpdateSourceImpl, ValueExpressionCaseElseImpl, ValueExpressionCaseSearchContentImpl, ValueExpressionCaseSimpleContentImpl, ValuesRowImpl, WithTableSpecificationImpl, XMLAggregateSortSpecificationImpl, XMLNamespaceDeclarationItemImpl, XMLNamespacesDeclarationImpl, XMLQueryArgumentListImpl, XMLQueryExpressionImpl, XMLSerializeFunctionEncodingImpl, XMLTableColumnDefinitionItemImpl, XMLValueFunctionElementContentListImpl, XMLValueFunctionQueryReturningImpl, XMLValueFunctionValidateAccordingToImpl, XMLValueFunctionValidateElementImpl, XMLValueFunctionValidateElementNameImpl, XMLValueFunctionValidateElementNamespaceImpl

    public abstract class SQLQueryObjectImpl

extends SQLObjectImpl
implements SQLQueryObject

An implementation of the model object 'Object'.

Method Summary
`SQLQuerySourceInfo` `getSourceInfo()` Returns the associated `SQLQuerySourceInfo`
`java.lang.String` `getSQL()`
`void` `setSourceInfo(SQLQuerySourceInfo sourceInfo)` Sets the `SQLQuerySourceInfo`
`void` `setSQL(java.lang.String sqlText)`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, eGet, eInverseAdd, eInverseRemove, eIsSet, eSet, eUnset, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getSQL

    public java.lang.String getSQL()

  Specified by:
    `getSQL` in interface `SQLQueryObject`

### setSQL

    public void setSQL(java.lang.String sqlText)

  Specified by:
    `setSQL` in interface `SQLQueryObject`

### getSourceInfo

    public SQLQuerySourceInfo getSourceInfo()

  Description copied from interface: `SQLQueryObject`
  Returns the associated `SQLQuerySourceInfo`

  Specified by:
    `getSourceInfo` in interface `SQLQueryObject`

### setSourceInfo

    public void setSourceInfo(SQLQuerySourceInfo sourceInfo)

  Description copied from interface: `SQLQueryObject`
  Sets the `SQLQuerySourceInfo`

  Specified by:
    `setSourceInfo` in interface `SQLQueryObject`
  Parameters:
    `sourceInfo` - The sourceInfo to set.

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.